Mission Brasil

Listar resultados de staff on demand

Lista resultados de missões workforce.

GET
/missions-users/workforce/reports

Authorization

clientIdAuth clientSecretAuth
client-id<token>

Client ID gerado na plataforma Mission Brasil.

In: header

client-secret<token>

Client Secret gerado na plataforma Mission Brasil.

In: header

Query Parameters

page?integer

Página atual. Padrão: 1.

Default1
Range1 <= value
itemsPerPage?integer

Quantidade por página. Padrão: 10, máximo: 50.

Default10
Range1 <= value <= 50
startedAt?string

Data inicial do período no formato YYYY-MM-DD.

Formatdate
endedAt?string

Data final do período no formato YYYY-MM-DD.

Formatdate
progress?integer

Status numérico de missions_users.progress.

Valores aceitos:

  • 0 WAITING
  • 1 STARTED
  • 2 FINISHED
  • 3 REJECTED
  • 4 EXPIRED
  • 5 REMOVED
  • 6 QUIT
  • 7 INCOMPLETED
  • 8 WAITING_ESTIMATE
  • 9 SCHEDULED
  • 10 SCHEDULED_EXPIRED
Value in0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10
mbKey?string

Chave MB da missão.

muKey?string

Chave MU do participante ou registro.

search?string

Texto de busca para filtrar os resultados.

Response Body

application/json

application/json

application/json

curl -X GET "https://api.missionbrasil.com.br/v1/missions-users/workforce/reports"
{
  "total": 58,
  "page": 1,
  "itemsPerPage": 10,
  "data": [
    {
      "mission_date": "2026-04-14T03:00:00.000Z",
      "user_name": "Willian Sousa",
      "mission": "Separar Pedidos no CD",
      "mb_key": "MB-190353",
      "mu_key": "MU-3512",
      "mission_status": 5,
      "check_in_at": "2026-04-14T19:00:00.000Z",
      "check_out_at": null,
      "store_duration": "",
      "rating": null,
      "rating_message": null,
      "is_buffer": true,
      "requests": null,
      "is_sla": false,
      "has_token_input": "Yes"
    }
  ]
}
{
  "error": "Invalid query params"
}
{
  "error": "Client ID ou Client Secret inválido ou ausente."
}